<template>
  <div
    class="desktop-layout"
    :class="{ 'desktop-layout-dark': themeIsDark }"
    :dir="rtlDesginHandler ? 'rtl' : 'ltr'"
  >
    <div class="sidebar">
      <HeaderDesktop />
      <Navigation />
      <div class="router-container">
        <ion-content>
          <ion-router-outlet :key="Route.fullPath"></ion-router-outlet>
        </ion-content>
      </div>
    </div>
    <div class="modals-container">
      <CoreModal v-if="coreModal" />
      <div class="logo" v-else>
        <img src="/Images/Navatel-Logo.png" />
        <span>{{ $t('desktop.welcome') }}</span>
      </div>
    </div>
    <ProfileModal v-if="nestedModalsDesktop.profile" />
    <AddContactModal v-if="nestedModalsDesktop.addContact.status" />
    <RemoveContactModal v-if="nestedModalsDesktop.removeContact" />
    <ContactProfileModal v-if="nestedModalsDesktop.contactProfile" />
  </div>
</template>

<script setup>
import ProfileModal from '@/components/desktop/modals/profile.vue';
import AddContactModal from '@/components/desktop/modals/addContact.vue';
import RemoveContactModal from '@/components/desktop/modals/removeContact.vue';
import ContactProfileModal from '@/components/desktop/modals/contactProfile.vue';
import CoreModal from '@/components/desktop/modals/coreModal.vue';

import { IonRouterOutlet } from '@ionic/vue';
import { useThemeStore } from '@/store/theme.js';
import HeaderDesktop from '@/components/desktop/header.vue';
import Navigation from '@/components/desktop/navigation.vue';
import { useI18n } from 'vue-i18n';
import { computed, onBeforeMount } from 'vue';
import { useNestedModalsDesktop } from '@/store/nestedModals/nestedModalsDesktop.js';
import { useRoute } from 'vue-router';
const nestedModalsDesktop = useNestedModalsDesktop();
const { locale } = useI18n();
const Route = useRoute();
const themeStore = useThemeStore();

const themeIsDark = computed(() => {
  return themeStore.getThemeIsDark;
});

const coreModal = computed(() => {
  return nestedModalsDesktop.coreModal;
});

const rtlDesginHandler = computed(() => {
  {
    if (locale.value == 'fa') {
      return true;
    } else {
      return false;
    }
  }
});

onBeforeMount(() => {
  window.onload = function () {
    if (!window.location.hash) {
      window.location = window.location + '#loaded';
      window.location.reload();
    }
  };
});
</script>

<style scoped>
.desktop-layout {
  width: 100%;
  height: 100dvh;
  display: flex;
  background: #fff;
}

.desktop-layout-dark {
  background: #101010;
}

.sidebar {
  width: 380px;
  height: 100dvh;
  display: flex;
  flex-direction: column;
}

.router-container {
  width: 100%;
  height: 77vh;
}

.modals-container {
  width: 75%;
  background: rgba(236, 240, 248, 0.2);
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}
.modals-container .logo {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.modals-container .logo img {
  width: 200px;
  height: auto;
}

.modals-container .logo span {
  font-size: 22px;
  font-style: normal;
  font-weight: 600;
  line-height: normal;
  padding-top: 20px;
}
</style>
